% ABM dell'agente dottore1

abm(sintomi(febbre),[down(sintomi(febbre))]).


% ARM dell'agente dottore1

arm(sintomi(febbre),[diagnosi(colpo_di_sole)]).

ic([diagnosi(influenza_cinese),diagnosi(influenza_indiana)]).
ic([not(diagnosi(influenza_indiana)),diagnosi(mal_di_gola)]).
ic([not(diagnosi(gola_arrossata)),diagnosi(placche)]).
ic([not(diagnosi(streptococco)),diagnosi(influenza_cinese)]).

abducibles([diagnosi(colpo_di_sole),diagnosi(influenza_cinese),diagnosi(influenza_indiana),diagnosi(mal_di_gola),diagnosi(gola_arrossata),diagnosi(placche),diagnosi(streptococco)]).


% Info (ARM) paziente 

%arm(paziente(febbre),[]).


% World info

iAm('dottore1').

agent('dottore1','localhost',7001).
agent('dottore2','localhost',7002).


% Some tests (better to perform them in background...)

km:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',sintomi(febbre),[])),
	in(answer('dottore1',sintomi(febbre),[],Answer)),
	nl, println(Answer), nl.

km1:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',ask('dottore2',sintomi(febbre)),[])),
	in(answer('dottore1',ask('dottore2',sintomi(febbre)),[],Answer)),
	nl, println(Answer), nl.

