% ABM dell'agente dottore1

abm(sintomi(febbre),[down(sintomi(febbre))]).


% ARM dell'agente dottore1

arm(sintomi(febbre),[diagnosi(colpo_di_sole)]).

ic([diagnosi(influenza_cinese),paziente(febbre)]).

abducibles([diagnosi(influenza_cinese),diagnosi(colpo_di_sole)]).


% ARM paziente

%arm(paziente(febbre),[]).


% World info

iAm('dottore1').

agent('dottore2','192.168.200.102',7002).
agent('dottore1','192.168.200.102',7001).
agent('dottore3','192.168.200.105',7003).


% Some tests (better to perform them in background...)

km:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',sintomi(febbre),[])),
	in(answer('dottore1',sintomi(febbre),[],Answer)),
	println(Answer), nl.

km1:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',ask('dottore2',sintomi(febbre)),[])),
	in(answer('dottore1',ask('dottore2',sintomi(febbre)),[],Answer)),
	println(Answer), nl.

km2:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[])),
	in(answer('dottore1',and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[],Answer)),
	println(Answer), nl.

km3:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',or(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[])),
	in(answer('dottore1',or(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[],Answer)),
	println(Answer), nl.
