% ABM dell'agente dottore2

abm(sintomi(febbre),[down(sintomi(febbre))]).


% ARM dell'agente dottore2

arm(sintomi(febbre),[diagnosi(influenza_cinese)]).

ic([not(diagnosi(mal_di_gola)),diagnosi(gola_arrossata)]).
ic([not(diagnosi(placche)),diagnosi(streptococco)]).

abducibles([diagnosi(colpo_di_sole),diagnosi(influenza_cinese),diagnosi(influenza_indiana),diagnosi(mal_di_gola),diagnosi(gola_arrossata),diagnosi(placche),diagnosi(streptococco)]).


% World info

iAm('dottore2').

agent('dottore2','localhost',7002).
agent('dottore1','localhost',7001).


% Some tests (better to perform them in background...)


km:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore2',sintomi(febbre),[])),
	in(answer('dottore2',sintomi(febbre),[],Answer)),
	nl, println(Answer), nl.

km1:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore2',ask('dottore1',sintomi(febbre)),[])),
	in(answer('dottore2',ask('dottore1',sintomi(febbre)),[],Answer)),
	nl, println(Answer), nl.

