% ABM dell'agente 0071

abm(a,[down(a)]).
abm(b,[down(b)]).

% ARM dell'agente 0071

arm(a,[k1]).
arm(a,[k2]).
arm(b,[x1]).
arm(b,[x2]).


ic([k1,j1]).
ic([k2,j2]).
ic([x1,y1]).
ic([x2,y2]).

abducibles([k1,j1,k2,j2,x1,y1,x2,y2]).


% World info

iAm('0071').

agent('0071','localhost',7001).
agent('0072','localhost',7002).

% Some tests (better to perform them in background...)

km:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
	there,
	out(laila_query('0071',a,[])),
	in(answer('0071',a,[],Answer)),
	nl, println(Answer), nl.

km1:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
	there,
	out(laila_query('0071',or(a,b),[])),
	in(answer('0071',or(a,b),[],Answer)),
	nl, println(Answer), nl.

km2:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
	there,
	out(laila_query('0071',and(a,b),[])),
	in(answer('0071',and(a,b),[],Answer)),
	nl, println(Answer), nl.


