% ABM dell'agente dottore1

abm(sintomi(febbre),[down(sintomi(febbre))]).


% ARM dell'agente dottore1

arm(sintomi(febbre),[diagnosi(colpo_di_sole)]).




abducibles([diagnosi(colpo_di_sole),diagnosi(influenza_cinese),diagnosi(influenza_indiana),diagnosi(influenza_russa)]).


% Info (ARM) paziente 

%arm(paziente(febbre),[]).


% World info

iAm('dottore1').

agent('dottore1','localhost',7001).
agent('dottore2','localhost',7002).
agent('dottore3','localhost',7003).
agent('dottore4','localhost',7004).
agent('dottore5','localhost',7005).


% Some tests (better to perform them in background...)

km:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',sintomi(febbre),[])),
	in(answer('dottore1',sintomi(febbre),[],Answer)),
	nl, println(Answer), nl.

km1:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',ask('dottore2',sintomi(febbre)),[])),
	in(answer('dottore1',ask('dottore2',sintomi(febbre)),[],Answer)),
	nl, println(Answer), nl.

km2:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[])),
	in(answer('dottore1',and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[],Answer)),
	println(Answer), nl.

km3:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',or(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[])),
	in(answer('dottore1',or(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),[],Answer)),
	println(Answer), nl.

km4:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',or(and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),and(ask('dottore4',sintomi(febbre)),ask('dottore5',sintomi(febbre)))),[])),
	in(answer('dottore1',or(and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),and(ask('dottore4',sintomi(febbre)),ask('dottore5',sintomi(febbre)))),[],Answer)),
	println(Answer), nl.

km5:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',or(and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),ask('dottore4',sintomi(febbre))),[])),
	in(answer('dottore1',or(and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),ask('dottore4',sintomi(febbre))),[],Answer)),
	println(Answer), nl.

km6:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore1',and(and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),and(ask('dottore4',sintomi(febbre)),ask('dottore5',sintomi(febbre)))),[])),
	in(answer('dottore1',and(and(ask('dottore2',sintomi(febbre)),ask('dottore3',sintomi(febbre))),and(ask('dottore4',sintomi(febbre)),ask('dottore5',sintomi(febbre)))),[],Answer)),
	println(Answer), nl.

