% ABM dell'agente dottore4

abm(sintomi(febbre),[down(sintomi(febbre))]).


% ARM dell'agente dottore4

arm(sintomi(febbre),[diagnosi(influenza_russa)]).

% no ic

abducibles([diagnosi(influenza_cinese),diagnosi(influenza_indiana),diagnosi(influenza_russa),diagnosi(colpo_di_sole)]).


% World info

iAm('dottore4').

agent('dottore1','localhost',7001).
agent('dottore2','localhost',7002).
agent('dottore3','localhost',7003).
agent('dottore4','localhost',7004).
agent('dottore5','localhost',7005).


% Some tests (better to perform them in background...)


km:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore4',sintomi(febbre),[])),
	in(answer('dottore4',sintomi(febbre),[],Answer)),
	nl, println(Answer), nl.

km1:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore4',ask('dottore1',sintomi(febbre)),[])),
	in(answer('dottore4',ask('dottore1',sintomi(febbre)),[],Answer)),
	nl, println(Answer), nl.

km2:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore4',and(ask('dottore1',sintomi(febbre)),ask('dottore2',sintomi(febbre))),[])),
	in(answer('dottore4',and(ask('dottore1',sintomi(febbre)),ask('dottore2',sintomi(febbre))),[],Answer)),
	println(Answer), nl.

km3:-
	iAm(WhoAmI), % my name:  nella kb dell'agente
	agent(WhoAmI, Host, Port), %  nella kb dell'agente
	set_that_port(Port),
 	there,
	out(laila_query('dottore4',or(ask('dottore1',sintomi(febbre)),ask('dottore2',sintomi(febbre))),[])),
	in(answer('dottore4',or(ask('dottore1',sintomi(febbre)),ask('dottore2',sintomi(febbre))),[],Answer)),
	println(Answer), nl.
